Documentation · API reference
POST/api/v1/sites/{site}/hard/off

Turn hard mode off, and say what happens to what was collected

Turn hard mode off, and say what happens to what was collected. Typed to confirm.

Parameters

sitein the address
neededA site's id or name

What to send

HardOff

choice
stringneeded
confirm
stringneededThe site's name, typed.

The answer

Status 200

RemovedView

hits
integerneeded
visitors
integerneeded
visits
integerneeded

Asking

With your token from Settings
curl -X POST https://tidekeeper.eu/api/v1/sites/example.org/hard/off \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN" \
    -H "Content-Type: application/json" \
    -d '{"choice": "…", "confirm": "…"}'
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/sites/example.org/hard/off", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({"choice": "…", "confirm": "…"}),
}).then((r) => r.json());